// Google Font API
@import url('https://fonts.googleapis.com/css2?family=EB+Garamond:wght@400;700&family=Noto+Sans:wght@400;700&display=swap');

// Removes Arrows / Spinner for Input type Number
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type='number'] {
  -moz-appearance: textfield;
}

// SwiperJS Styling
@import '~swiper/scss';
@import '~swiper/scss/scrollbar';
@import '~swiper/scss/navigation';

/*!
* Bootstrap v5.1.3 (https://getbootstrap.com/)
* Copyright 2011-2021 The Bootstrap Authors
* Copyright 2011-2021 Twitter, Inc.
* Licensed under MIT (https://github.com/twbs/bootstrap/blob/main/LICENSE)
*/
// scss-docs-start import-s~bootstrap/scss/tack
// Configuration
@import '~bootstrap/scss/functions';
@import './customs//custom_variable';
@import '~bootstrap/scss/mixins';
@import '~bootstrap/scss/utilities';

// Layout & components
@import '~bootstrap/scss/root';
@import '~bootstrap/scss/reboot';
@import '~bootstrap/scss/type';
@import '~bootstrap/scss/images';
@import '~bootstrap/scss/containers';
@import '~bootstrap/scss/grid';
@import '~bootstrap/scss/tables';
@import '~bootstrap/scss/forms';
@import '~bootstrap/scss/buttons';
@import '~bootstrap/scss/transitions';
@import '~bootstrap/scss/dropdown';
@import '~bootstrap/scss/button-group';
@import '~bootstrap/scss/nav';
@import '~bootstrap/scss/navbar';
@import '~bootstrap/scss/card';
@import '~bootstrap/scss/accordion';
@import '~bootstrap/scss/breadcrumb';
@import '~bootstrap/scss/pagination';
@import '~bootstrap/scss/badge';
@import '~bootstrap/scss/alert';
@import '~bootstrap/scss/progress';
@import '~bootstrap/scss/list-group';
@import '~bootstrap/scss/close';
@import '~bootstrap/scss/toasts';
@import '~bootstrap/scss/modal';
@import '~bootstrap/scss/tooltip';
@import '~bootstrap/scss/popover';
@import '~bootstrap/scss/carousel';
@import '~bootstrap/scss/spinners';
@import '~bootstrap/scss/offcanvas';
@import '~bootstrap/scss/placeholders';

// Helpers
@import '~bootstrap/scss/helpers';

// Utilities
@import '~bootstrap/scss/utilities/api';
// scss-docs-end import-s~bootstrap/scss/tack

//end Bootstrap Styling

// Custom Typography
* {
  font-family: 'Noto Sans', sans-serif;
}

.serif {
  font-family: 'EB Garamond', serif;
}

// Custom Stylings SCSS

@import './layouts/LandingPage.scss';
@import './pages/Showcase.scss';
@import './components/homepages/WhatWeDoSection.scss';
@import './components/homepages/OurWorkSection.scss';
@import './components/homepages/ProductHighlight.scss';
@import './components/navbar/NavbarSection.scss';
@import './components/cards/ProjectCard.scss';
@import './components/dashboard/Profile.scss';
@import './components/dashboard/ProfileSetting.scss';
@import './components/dashboard/AppointmentResume.scss';
@import './components/input/FilterCheckbox.scss';
@import './components/input/InputSearch.scss';
@import './components/404/Page404.scss';
@import './components/banners/HeroSection.scss';
@import './components/loading/CardLoading.scss';
@import './components/homepages/DesignerBiografiSection.scss';
@import './components/homepages/Footer.scss';
@import './components/login/LoginForm.scss';
@import './components/login/Register.scss';
@import './components/cards/TestimonyCard.scss';
@import './components/homepages/TestimonyCardsSlider.scss';
@import './components/cards/ShowCaseAllVew.scss';
@import './components/projectDetails/ProjectDetail.scss';
@import './pages/Appointment.scss';
@import './customs/custom_datepicker';

html {
  scroll-behavior: auto !important;
}
